Update identityProvider (deprecated)
Artikel
07/20/2022
2 menit untuk membaca
11 kontributor
Dalam artikel ini
Namespace: microsoft.graph
Caution
This identity provider API is deprecated and will stop returning data after March, 2023. Please use the new identity provider API .
Update properties in an existing identityProvider .
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions .
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
IdentityProvider.ReadWrite.All
Delegated (personal Microsoft account)
Not supported.
Application
Not supported.
The work or school account must be a global administrator of the tenant.
HTTP request
PATCH /identityProviders/{id}
Name
Description
Authorization
Bearer {token}. Required.
Content-Type
application/json. Required.
Request body
In the request body, provide a JSON object with one or more properties that need to be updated.
Property
Type
Description
clientId
String
The client ID for the application. This is the client ID obtained when registering the application with the identity provider.
clientSecret
String
The client secret for the application. This is the client secret obtained when registering the application with the identity provider.
name
String
The display name of the identity provider.
Response
If successful, this method returns 204 No Content response code. If unsuccessful, a 4xx error will be returned with specific details.
Example
The following example updates the definition of the token lifetime identityProvider and sets it as the organization default.
Request
PATCH https://graph.microsoft.com/v1.0/identityProviders/Amazon-OAuth
Content-type: application/json
{
"clientSecret": "1111111111111"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var identityProvider = new IdentityProvider
{
ClientSecret = "1111111111111"
};
await graphClient.IdentityProviders["{identityProvider-id}"]
.Request()
.UpdateAsync(identityProvider);
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
const options = {
authProvider,
};
const client = Client.init(options);
const identityProvider = {
clientSecret: '1111111111111'
};
await client.api('/identityProviders/Amazon-OAuth')
.update(identityProvider);
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
IdentityProvider identityProvider = new IdentityProvider();
identityProvider.clientSecret = "1111111111111";
graphClient.identityProviders("Amazon-OAuth")
.buildRequest()
.patch(identityProvider);
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := graphmodels.NewIdentityProvider()
clientSecret := "1111111111111"
requestBody.SetClientSecret(&clientSecret)
graphClient.IdentityProvidersById("identityProvider-id").Patch(requestBody)
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new IdentityProvider();
$requestBody->setClientSecret('1111111111111');
$graphServiceClient->identityProvidersById('identityProvider-id')->patch($requestBody);
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
Response
HTTP/1.1 204 No Content